Module java.xml
Package org.w3c.dom.views

# Interface DocumentView

public interface DocumentView
The `DocumentView` interface is implemented by `Document` objects in DOM implementations supporting DOM Views. It provides an attribute to retrieve the default view of a document.

See also the Document Object Model (DOM) Level 2 Views Specification.

Since:
  1.8, DOM Level 2

## Method Summary

Modifier and Type
Method
Description
`AbstractView`
`getDefaultView()`
The default `AbstractView` for this `Document`, or `null` if none available.

## Method Details

### getDefaultView

AbstractView getDefaultView()
The default `AbstractView` for this `Document`, or `null` if none available.